Bug 1372463 - rpcbind-0.2.3-11.rc1.fc24 update sometimes does not restart statd or ypbind properly
Summary: rpcbind-0.2.3-11.rc1.fc24 update sometimes does not restart statd or ypbind p...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: rpcbind
Version: 24
Hardware: x86_64
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Steve Dickson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-09-01 19:05 UTC by Mark Hittinger
Modified: 2017-02-03 21:48 UTC (History)
1 user (show)

Fixed In Version: rpcbind-0.2.4-4.fc25 rpcbind-0.2.3-17.rc2.fc24
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-02-03 20:50:01 UTC


Attachments (Terms of Use)

Description Mark Hittinger 2016-09-01 19:05:55 UTC
Description of problem:

today while applying the rpcbind-0.2.3-11.rc1 update to several fedora 24 systems i noticed that ypbind and rpc.statd were not properly restarted on some of the systems.  the systems which had trouble were NFS servers.  systems that were not NFS servers appeared to have no trouble.

systemctl start ypbind
or
systemctl start rpc.statd

succeeded after the update was completed.


Version-Release number of selected component (if applicable):
rpcbind-0.2.3-11.rc1.fc24

How reproducible:



Steps to Reproduce:
1. find a fedora 24 NFS server with active exports
2. apply rpcbind-0.2.3-11.rc1.fc24 update
3. after the update see if rpc.statd failed to register

Actual results:

sometimes ypbind or rpc.statd do not restart properly


Expected results:

ypbind and rpc.statd should restart - perhaps after a delay to let rpcbind get going


Additional info:

Sep  1 11:53:38 dhcp systemd: Started RPC bind service.
Sep  1 11:53:38 dhcp rpc.statd[4993]: Failed to register (statd, 1, udp): svc_reg() err: RPC: Success
Sep  1 11:53:38 dhcp rpc.statd[4993]: Failed to register (statd, 1, tcp): svc_reg() err: RPC: Success
Sep  1 11:53:38 dhcp rpc.statd[4993]: Failed to register (statd, 1, udp6): svc_reg() err: RPC: Success
Sep  1 11:53:38 dhcp rpc.statd[4993]: Failed to register (statd, 1, tcp6): svc_reg() err: RPC: Success
Sep  1 11:53:38 dhcp rpc.statd[4993]: failed to create RPC listeners, exiting
Sep  1 11:53:38 dhcp systemd: rpc-statd.service: Control process exited, code=exited status=1
Sep  1 11:53:38 dhcp systemd: Failed to start NFS status monitor for NFSv2/3 locking..
Sep  1 11:53:38 dhcp systemd: rpc-statd.service: Unit entered failed state.
Sep  1 11:53:38 dhcp systemd: rpc-statd.service: Failed with result 'exit-code'.

Sep  1 11:52:08 dhcp ypbind: Cannot register service: RPC: Unable to receive; errno = Success
Sep  1 11:52:08 dhcp ypbind: Cannot register service: RPC: Unable to receive; errno = Success
Sep  1 11:52:08 dhcp ypbind: Cannot register service: RPC: Unable to receive; errno = Success
Sep  1 11:52:08 dhcp ypbind: Cannot register service: RPC: Unable to receive; errno = Connection refused
Sep  1 11:52:08 dhcp ypbind: Cannot register service: RPC: Unable to receive; errno = Success
Sep  1 11:52:08 dhcp ypbind[4938]: Unable to register (YPBINDPROG, YPBINDVERS, udp).
Sep  1 11:52:08 dhcp systemd: ypbind.service: Main process exited, code=exited, status=1/FAILURE
Sep  1 11:52:08 dhcp systemd: ypbind.service: Unit entered failed state.
Sep  1 11:52:08 dhcp systemd: ypbind.service: Failed with result 'exit-code'.

Comment 1 Fedora Update System 2017-01-23 20:23:59 UTC
rpcbind-0.2.3-16.rc2.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-a07577f460

Comment 2 Fedora Update System 2017-01-23 20:24:15 UTC
rpcbind-0.2.4-3.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-c43a81dc30

Comment 3 Fedora Update System 2017-01-25 01:22:35 UTC
rpcbind-0.2.3-16.rc2.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-a07577f460

Comment 4 Fedora Update System 2017-01-28 21:42:01 UTC
rpcbind-0.2.3-17.rc2.fc24 rpcbind-0.2.3-17.rc2.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-44ec8c7a0e

Comment 5 Fedora Update System 2017-01-29 23:17:51 UTC
rpcbind-0.2.3-17.rc2.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-44ec8c7a0e

Comment 6 Fedora Update System 2017-02-01 21:19:16 UTC
rpcbind-0.2.4-4.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-ad932714f2

Comment 7 Fedora Update System 2017-02-02 22:50:10 UTC
rpcbind-0.2.4-4.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-ad932714f2

Comment 8 Fedora Update System 2017-02-03 20:50:01 UTC
rpcbind-0.2.4-4.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2017-02-03 21:48:52 UTC
rpcbind-0.2.3-17.rc2.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.